Collapse

Vue Bootstrap 5 Collapse component

Toggle the visibility of content across your project with a few classes and our JavaScript plugins.

Note: Read the API tab to find all available options and advanced customization

How it works

The collapse JavaScript plugin is used to show and hide content. Buttons or anchors are used as triggers that are mapped to specific elements you toggle. Collapsing an element will animate the height from its current value to 0. Given how CSS handles animations, you cannot use padding on a .collapse element. Instead, use the class as an independent wrapping element.


Basic example

Click the buttons below to show and hide another element via class changes:

We use MDBCollapse component to create collapsible elements.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
        
            
            <template>
              <MDBBtn
              tag="a"
              color="primary"
              @click="collapse1 = !collapse1"
              aria-controls="collapsibleContent1"
              :aria-expanded="collapse1"
              >Link</MDBBtn
              >
              <MDBBtn
                color="primary"
                @click="collapse1 = !collapse1"
                aria-controls="collapsibleContent1"
                :aria-expanded="collapse1"
                >Button</MDBBtn
              >
              <MDBCollapse
                id="collapsibleContent1"
                v-model="collapse1"
              >
                <div class="mt-3">
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad
                  squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente
                  ea proident.
                </div>
              </MDBCollapse>
            </template>
          
        
    
        
            
            <script>
              import { MDBCollapse, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBCollapse,
                  MDBBtn
                },
                setup() {
                  const collapse1 = ref(false);
                  return {
                    collapse1
                  }
                }
              };
            </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBCollapse, MDBBtn } from "mdb-vue-ui-kit";
            import { ref } from 'vue';

            const collapse1 = ref(false);
          </script>
        
        
    

Horizontal

The collapse plugin also supports horizontal collapsing. Add the horizontal prop and set width on the immediate child element. Feel free to write your own custom Sass, use inline styles, or use our width utilities.

Please note that while the example below has a min-height set to avoid excessive repaints in our docs, this is not explicitly required. Only the width on the child element is required.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
        
            
            <template>
              <MDBBtn
                color="primary"
                class="mb-4"
                aria-controls="collapsibleContent1"
                :aria-expanded="collapse4"
                @click="collapse4 = !collapse4">
                  Button
              </MDBBtn>
              <MDBCollapse
                id="collapsibleContent1"
                v-model="collapse4"
                horizontal
              >
                <div style="width: 300px">
                  Anim pariatur cliche reprehenderit, enim eiusmod high life
                  accusamus terry richardson ad squid. Nihil anim keffiyeh
                  helvetica, craft beer labore wes anderson cred nesciunt sapiente
                  ea proident.
                </div>
              </MDBCollapse>
            </template>
          
        
    
        
            
            <script>
              import { MDBCollapse, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              export default {
                components: {
                  MDBCollapse,
                  MDBBtn
                },
                setup() {
                  const collapse4 = ref(false);

                  return {
                    collapse4
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBCollapse, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const collapse4 = ref(false);
            </script>
          
        
    

Multiple targets

Each collapsible element can target multiple collapsbible contents and each collapsbile content can be targeted by multiple collapsible elements.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
        
            
            <template>
              <MDBContainer>
                <MDBBtn
                  color="primary"
                  @click="collapse2 = !collapse2"
                  aria-controls="multiCollapseExample2"
                  :aria-expanded="collapse2"
                  >Toggle first element</MDBBtn
                >
                <MDBBtn
                  color="primary"
                  @click="collapse3 = !collapse3"
                  aria-controls="multiCollapseExample3"
                  :aria-expanded="collapse3"
                  >Toggle second element</MDBBtn
                >
                <MDBBtn
                  color="primary"
                  @click="
                    () => {
                      collapse2 = !collapse2;
                      collapse3 = !collapse3;
                    }
                  "
                  aria-controls="multiCollapseExample2 multiCollapseExample3"
                  >Toggle both elements</MDBBtn
                >
                <MDBRow>
                  <MDBCol sm="6">
                    <MDBCollapse v-model="collapse2" id="multiCollapseExample2">
                      <MDBCard class="mt-2">
                        <MDBCardBody>
                          <h5 class="pt-2">Collapsing text</h5>
                          <p class="pb-2">
                            Anim pariatur cliche reprehenderit, enim eiusmod high
                            life accusamus terry richardson ad squid. Nihil anim
                            keffiyeh helvetica, craft beer labore wes anderson
                            cred nesciunt sapiente ea proident.
                          </p>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCollapse>
                  </MDBCol>
                  <MDBCol sm="6">
                    <MDBCollapse v-model="collapse3" id="multiCollapseExample3">
                      <MDBCard class="mt-2">
                        <MDBCardBody>
                          <h5 class="pt-2">Collapsing text</h5>
                          <p class="pb-2">
                            Anim pariatur cliche reprehenderit, enim eiusmod high
                            life accusamus terry richardson ad squid. Nihil anim
                            keffiyeh helvetica, craft beer labore wes anderson
                            cred nesciunt sapiente ea proident.
                          </p>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCollapse>
                  </MDBCol>
                </MDBRow>
              </MDBContainer>
            </template>
          
        
    
        
            
            <script>
              import { MDBCollapse, MDBContainer, MDBRow, MDBCol, MDBBtn, MDBCard, MDBCardBody } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBCollapse,
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBBtn,
                  MDBCard,
                  MDBCardBody
                },
                setup() {
                  const collapse2 = ref(false);
                  const collapse3 = ref(false);
                  return {
                    collapse2,
                    collapse3
                  }
                }
              };
            </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBCollapse, MDBContainer, MDBRow, MDBCol, MDBBtn, MDBCard, MDBCardBody } from "mdb-vue-ui-kit";
            import { ref } from 'vue';
            
            const collapse2 = ref(false);
            const collapse3 = ref(false);
          </script>
        
        
    

Accessibility

Be sure to add aria-expanded to the control element. This attribute explicitly conveys the current state of the collapsible element tied to the control to screen readers and similar assistive technologies. If the collapsible element is closed by default, the attribute on the control element should have a value of aria-expanded="false". If you’ve set the collapsible element to be open by default using the show class, set aria-expanded="true" on the control instead. The plugin will automatically toggle this attribute on the control based on whether or not the collapsible element has been opened or closed (via JavaScript, or because the user triggered another control element also tied to the same collapsible element). If the control element’s HTML element is not a button (e.g., an <a> or <div>), the attribute role="button" should be added to the element.

Note that Bootstrap’s current implementation does not cover the various keyboard interactions described in the WAI-ARIA Authoring Practices 1.1 accordion pattern - you will need to include these yourself with custom JavaScript.


TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Collapse - API


Import

        
            
          <script>
            import {
              MDBCollapse
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Property Type Default Description Example
tag String "div" Defines tag element wrapping collapsible content. <MDBCollapse v-model="collapse">Collapsing content</MDBCollapse>
collapseClass String "" Adds custom class for collapsible content wrapper <MDBCollapse v-model="collapse" collapseClass="customClass">Collapsing content</MDBCollapse>
duration Number 300 Sets time in milisecond for collapsing animation <MDBCollapse v-model="collapse" :duration="400">Collapsing content</MDBCollapse>
horizontal Boolean false Sets horizontal animation. <MDBCollapse v-model="collapse" horizontal width="300px">Collapsing content</MDBCollapse>

SCSS variables

        
            
        $transition-collapse: height .35s ease;
        $transition-collapse-width: width .35s ease;

Collapse

React Bootstrap 5 Collapse component

Toggle the visibility of content across your project with a few classes and our JavaScript plugins.

Note: Read the API tab to find all available options and advanced customization

How it works

The collapse JavaScript plugin is used to show and hide content. Buttons or anchors are used as triggers that are mapped to specific elements you toggle. Collapsing an element will animate the height from its current value to 0. Given how CSS handles animations, you cannot use padding on a .collapse element. Instead, use the class as an independent wrapping element.


Basic example

Click the buttons below to show and hide another element via class changes:

  • .collapse hides content
  • .collapsing is applied during transitions
  • .collapse.show shows content
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
        
            
            import React, { useState } from 'react';
            import { MDBCollapse, MDBBtn } from 'mdb-react-ui-kit';
            
            export default function App() {
              const [isOpen, setIsOpen] = useState(false);

              const toggleOpen = () => setIsOpen(!isOpen);

              return (
                <>
                  <MDBBtn tag='a' onClick={toggleOpen}>
                    Link
                  </MDBBtn>
                  <MDBBtn onClick={toggleOpen}>Button</MDBBtn>
                  <MDBCollapse open={isOpen}>
                    Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim
                    keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                  </MDBCollapse>
                </>
              );
            }
          
        
    

Multiple targets

You can show and hide multiple elements with one button or multiple buttons. You have to change state to render component with another value.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
        
            
            import React, { useState } from 'react';
            import { MDBCollapse, MDBBtn, MDBRow, MDBCol } from 'mdb-react-ui-kit';
            
            export default function App() {
              const [showFirst, setShowFirst] = useState(false);
              const [showSecond, setShowSecond] = useState(false);
            
              const toggleFirst = () => setShowFirst(!showFirst);
              const toggleSecond = () => setShowSecond(!showSecond);

              const toggleBoth = () => {
                setShowFirst(!showFirst);
                setShowSecond(!showSecond);
              };
              return (
                <>
                  <MDBBtn onClick={toggleFirst}> Toggle first element</MDBBtn>
                  <MDBBtn onClick={toggleSecond}>Toggle second element</MDBBtn>
                  <MDBBtn onClick={toggleBoth}> Toggle both elements</MDBBtn>
      
                  <MDBRow>
                    <MDBCol>
                      <MDBCollapse open={showFirst} className='mt-3'>
                        Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil
                        anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                      </MDBCollapse>
                    </MDBCol>
                    <MDBCol>
                      <MDBCollapse open={showSecond} className='mt-3'>
                        Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil
                        anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                      </MDBCollapse>
                    </MDBCol>
                  </MDBRow>
                </>
              );
            }
          
        
    

Accessibility

Be sure to add aria-expanded to the control element. This attribute explicitly conveys the current state of the collapsible element tied to the control to screen readers and similar assistive technologies. If the collapsible element is closed by default, the attribute on the control element should have a value of aria-expanded="false". If you’ve set the collapsible element to be open by default using the show class, set aria-expanded="true" on the control instead. The plugin will automatically toggle this attribute on the control based on whether or not the collapsible element has been opened or closed (via JavaScript, or because the user triggered another control element also tied to the same collapsible element). If the control element’s HTML element is not a button (e.g., an <a> or <div>), the attribute role="button" should be added to the element.

Note that Bootstrap’s current implementation does not cover the various keyboard interactions described in the WAI-ARIA Authoring Practices 1.1 accordion pattern - you will need to include these yourself with custom JavaScript.


TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Collapse - API


Import

        
            
            import { MDBCollapse } from 'mdb-react-ui-kit';
            
        
    

Properties

MDBCollapse

Name Type Default Description Example
center Boolean false Center elements in MDBCollapse <MDBCollapse center />
collapseRef RejObject<HTMLElement> undefined Reference to MDBCollapse element. <MDBCollapse collapseRef={exampleRef} />
navbar Boolean false This prop is using in an MDBNavbar component to change default class 'collapse' to 'navbar-collapse'. <MDBCollapse navbar />
open Boolean | string false Change visible of content inside MDBCollapse <MDBCollapse open={true} />
tag string 'div' Defines tag of the MDBCollapse element <MDBCollapse tag='span' />

Events

Name Type Description
onClose () => any A callback fired when the Collapse requests to be closed.
onOpen () => any A callback fired when the Collapse requests to be opened.

SCSS variables

        
            
        $transition-collapse: height .35s ease;
        $transition-collapse-width: width .35s ease;

Collapse

Angular Bootstrap 5 Collapse component

Toggle the visibility of content across your project with a few classes and our JavaScript plugins.

Note: Read the API tab to find all available options and advanced customization

How it works

The collapse JavaScript plugin is used to show and hide content. Buttons or anchors are used as triggers that are mapped to specific elements you toggle. Collapsing an element will animate the height from its current value to 0. Given how CSS handles animations, you cannot use padding on a .collapse element. Instead, use the class as an independent wrapping element.


Basic example

Add mdbCollapse to the element to enable the collapse functionality. Click the buttons below to show and hide another element:

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
        
            
            <!-- Buttons trigger collapse -->
            <a
              class="btn btn-primary mb-3"
              (click)="basicCollapse.toggle()"
              role="button"
              [attr.aria-expanded]="!basicCollapse.collapsed"
              aria-controls="collapseExample"
            >
              Link with href
            </a>
            <button
              class="btn btn-primary mb-3"
              type="button"
              (click)="basicCollapse.toggle()"
              [attr.aria-expanded]="!basicCollapse.collapsed"
              aria-controls="collapseExample"
            >
              Button
            </button>
            <!--Collapsed content-->
            <div id="collapseExample" mdbCollapse #basicCollapse="mdbCollapse">
              Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad
              squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
              sapiente ea proident.
            </div>
          
        
    

Multiple targets

A <button> or <a> tag can show and hide multiple elements by referencing their IDs in its aria-controls attribute. Multiple <button> or <a> elements can show and hide an element if they each reference it with their aria-controls attribute.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
        
            
            <!-- Buttons trigger collapse -->
            <a
              class="btn btn-primary mb-3"
              role="button"
              (click)="linkCollapse.toggle()"
              [attr.aria-expanded]="!linkCollapse.collapsed"
              aria-controls="multiCollapseExample1"
            >
              Toggle first element
            </a>
            <button
              class="btn btn-primary mb-3"
              type="button"
              (click)="buttonCollapse.toggle()"
              [attr.aria-expanded]="!buttonCollapse.collapsed"
              aria-controls="multiCollapseExample2"
            >
              Toggle second element
            </button>
            <button
              class="btn btn-primary mb-3"
              type="button"
              (click)="linkCollapse.toggle(); buttonCollapse.toggle()"
              [attr.aria-expanded]="!linkCollapse.collapsed && !buttonCollapse.collapsed"
              aria-controls="multiCollapseExample1 multiCollapseExample2"
            >
              Toggle both elements
            </button>
            <!-- Collapsed content -->
            <div class="row">
              <div class="col">
                <div
                  class="collapse multi-collapse"
                  id="multiCollapseExample1"
                  mdbCollapse
                  #linkCollapse="mdbCollapse"
                >
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry
                  richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson
                  cred nesciunt sapiente ea proident.
                </div>
              </div>
              <div class="col">
                <div
                  class="collapse multi-collapse"
                  id="multiCollapseExample2"
                  mdbCollapse
                  #buttonCollapse="mdbCollapse"
                >
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry
                  richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson
                  cred nesciunt sapiente ea proident.
                </div>
              </div>
            </div>
          
        
    

Accessibility

Be sure to add aria-expanded to the control element. Providing [attr.aria-expanded]="!collapseElement.collapsed" attribute will assure dynamic change to aria-expanded="false" when an element is collapsed, and aria-expanded="true" when it's expanded. If you’ve set the collapsible element to be open by default using the show class, set aria-expanded="true" on the control instead. The plugin will automatically toggle this attribute on the control based on whether or not the collapsible element has been opened or closed (via JavaScript, or because the user triggered another control element also tied to the same collapsible element). If the control element’s HTML element is not a button (e.g., an <a> or <div>), the attribute role="button" should be added to the element.

If your control element is targeting a single collapsible element you should add the aria-controls attribute to the control element, containing the id of the collapsible element. Modern screen readers and similar assistive technologies make use of this attribute to provide users with additional shortcuts to navigate directly to the collapsible element itself.

Note that Bootstrap’s current implementation does not cover the various keyboard interactions described in the WAI-ARIA Authoring Practices 1.1 accordion pattern - you will need to include these yourself with custom JavaScript.


TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Collapse - API


Import

        
            
          import { MdbCollapseModule } from 'mdb-angular-ui-kit/collapse';
          …
          @NgModule ({
            ...
            imports: [MdbCollapseModule],
            ...
          })
        
        
    

Inputs

Name Type Default Description
collapsed Boolean true Changes default collapsed state

Outputs

Name Type Description
collapseShow EventEmitter<MdbCollapseDirective> Fires when show animation starts.
collapseShown EventEmitter<MdbCollapseDirective> Fires when show animation ends.
collapseHide EventEmitter<MdbCollapseDirective> Fires when hide animation starts.
collapseHidden EventEmitter<MdbCollapseDirective> Fires when hide animation ends.
        
            
            <button
            class="btn btn-primary"
            type="button"
            (click)="collapse.toggle()"
            [attr.aria-expanded]="!collapse.collapsed"
            aria-controls="collapseExample"
          >
            Button
          </button>
          <!--Collapsed content-->
          <div
            class="mt-3"
            id="collapseExample"
            mdbCollapse
            #collapse="mdbCollapse"
            (collapseShow)="onCollapseShow($event)"
          >
            Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry
            richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes
            anderson cred nesciunt sapiente ea proident.
          </div>                   
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbCollapseDirective } from 'mdb-angular-ui-kit/collapse';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onCollapseShow(event: MdbCollapseDirective) {
                console.log('Collapse show: ', event);
              }
            }                    
            
        
    

Methods

Name Description Example
hide Manually closes a collapse collapse.hide()
show Manually opens a collapse collapse.show()
toggle Manually toggle a collapse collapse.toggle()
        
            
            <button
            class="btn btn-primary"
            type="button"
            (click)="collapse.toggle()"
            [attr.aria-expanded]="!collapse.collapsed"
            aria-controls="collapseExample"
          >
            Button
          </button>
          <!--Collapsed content-->
          <div class="mt-3" id="collapseExample" mdbCollapse #collapse="mdbCollapse">
            Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry
            richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes
            anderson cred nesciunt sapiente ea proident.
          </div>                   
            
        
    
        
            
            import { AfterViewInit, Component, ViewChild } from '@angular/core';
            import { MdbCollapseDirective } from 'mdb-angular-ui-kit/collapse';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent implements AfterViewInit {
              @ViewChild('collapse') collapse!: MdbCollapseDirective;
            
              ngAfterViewInit(): void {
                setTimeout(() => {
                  this.collapse.show();
                }, 2000);
              }
            }            
            
        
    

SCSS variables

        
            
        $transition-collapse: height .35s ease;
        $transition-collapse-width: width .35s ease;